package com.logicbig.example;

import java.util.Objects;

public class UnboxingWithNPEFix3 {
    public static void main(String[] args) {
        Integer wInt = null;
        int i = toNotNullable(wInt, 0);
        System.out.println(i);

        Double wDouble = null;
        double d = toNotNullable(wDouble, 0.0d);
        System.out.println(d);
    }

    public static <T> T toNotNullable(T object, T defaultValue) {
        Objects.requireNonNull(defaultValue, "The default value cannot be null");
        return object == null ? defaultValue : object;
    }
}